﻿<AML>
 <Item type="Report" id="E4AAD7FFB3B5465CBEDBF05084DFC140" action="add">
  <location>client</location>
  <report_query><![CDATA[<AML>
<Item type="acc_BalanceSheet_Report" action="get"  

select="id,acc_account_type,acc_accountname,acc_account_console,acc_account_detail_code,acc_account_detail_name,acc_amount,acc_from_date,acc_to_date,acc_total_liabilities_equity,acc_order,acc_accounting_method,acc_company,acc_currency_symbol,acc_paging_no" orderBy="acc_order">
          <acc_company>
                      <Item type="erp_company_setup" action="get"  select="erp_com_name,erp_main_email,erp_ph,erp_street,erp_address,erp_facsimile">
				
                      </Item>
          </acc_company>
</Item>
</AML>]]></report_query>
  <target>one window</target>
  <type>itemtype</type>
  <xsl_stylesheet><![CDATA[<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:user-scripts" xmlns:aras="http://www.aras.com" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:dt="urn:schemas-microsoft-com:datatypes" version="1.0">
	<xsl:decimal-format name="euro" decimal-separator="." grouping-separator=","/>
	  <xsl:output method="html" omit-xml-declaration="yes" standalone="yes" indent="yes" cdata-section-elements="script msxsl:script"/>
	<xsl:key name="acc_account_type" match="Result/Item" use="acc_account_type"/>
	<xsl:key name="acc_accountname" match="Result/Item" use="concat(acc_account_type, '|', acc_accountname)"/>
	     <xsl:key name="acc_account_console" match="Result/Item" use="concat(acc_accountname, '|', acc_account_console)"/>
	  <xsl:template match="/Result">
		    <html>
			      <head>      </head>
			      <style type="text/css" userData="Global">
				page[size="A4"]
				{
				position: relative;
				background: white;
				width: 18.5cm;
				display: block;
				margin: 0 auto;
				box-shadow: 0 0 0.3cm rgba(0,0,0,0.3);
				margin-bottom: 3em;
				}
				.tdpaddingleft{
				padding-left:20px;
				}
				.cellSolid {
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				}
				.headertitle{
				text-align:center;
				width:100%;
				}
				span.report_titlestatement{
				font-family:Calibri;
				font-size: 14pt;
				font-weight: bold;
				padding-top:40px;
				}
				span.report_statement{
				font-family:Calibri;
				font-size: 14pt;
				}
				.cellSolidTopRight {့
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				}
				.cellSolidTopLeft {
				border-top:1px #000000 solid;
				border-left:1px #000000 solid;
				}
				.cellSolidRightBottom {
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				}
				.cellSolidBottomLeft {
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				}
				.cellSolidTop {
				border-top:1px #000000 solid;
				}
				.cellSolidRight {
				border-right:1px #000000 solid;
				}
				.cellSolidBottom {
				border-bottom:1px #000000 solid;
				}
				.cellSolidLeft {
				border-left:1px #000000 solid;
				}
				.cellDashed {
				border-top:1px #666666 dashed;
				border-right:1px #666666 dashed;
				border-bottom:1px #666666 dashed;
				border-left:1px #666666 dashed;
				}
				.cellDashedTopRight {
				border-top:1px #666666 dashed;
				border-right:1px #666666 dashed;
				}
				.cellDashedTopLeft {
				border-top:1px #666666 dashed;
				border-left:1px #666666 dashed;
				}
				.cellDashedBottomRight {
				border-bottom:1px #666666 dashed;
				border-right:1px #666666 dashed;
				}
				.cellDashedBottomLeft {
				border-bottom:1px #666666 dashed;
				border-left:1px #666666 dashed;
				}
				.cellDashedTop {
				border-top:1px #666666 dashed;
				}
				.cellDashedRight {
				border-right:1px #666666 dashed;
				}
				.cellDashedBottom {
				border-bottom:1px #666666 dashed;
				}
				.cellDashedLeft {
				border-left:1px #666666 dashed;
				}
				.cellHeader {
				background-color:#CCCCCC;
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				padding:2px;
				text-align:center;
				text-transform:capitalize;
				text-align:center;
				font-family:Calibri;
				font-weight:bold;
				font-size:8pt;
				}
				.cellHeaderVertBT {
				background-color:#CCCCCC;
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				padding:2px;
				writing-mode:tb-rl;filter: flipv fliph;
				text-align:center;
				text-transform:capitalize;
				text-align:center;
				font-family:Calibri;
				font-weight:bold;
				font-size:8pt;
				}
				.cellHeaderVertTB {
				background-color:#CCCCCC;
				border-top:1px #000000 solid;
				border-right:1px #000000 solid;
				border-bottom:1px #000000 solid;
				border-left:1px #000000 solid;
				padding:2px;
				writing-mode:tb-rl;filter: flipv flipv;
				text-align:center;
				text-transform:Calibri;
				text-align:center;
				font-family:helvetica;
				font-weight:bold;
				font-size:8pt;
				}
				  .header_tr
				{
				font-weight:bold;
				font-size:14pt;
				 }
				  .header_sub_tr
				{
				font-weight:bold;
				text-decoration:underline;
				font-size:12pt;
				 }
				.sub_header_tr
				{
				font-size:10pt;
				font-weight:bold;
				   }
				    .noborders td {
				     border:0;
				       }
				.paging{
				width:15%;
				}
				.main_div
				{
				overflow-x:auto;
				margin-left:20px;
				}
				tr:not(:last-child) td { padding-top: 4px }
				.main_table
				{
				cellpadding:0;
				 cellspacing:0;
				 border-collapse: collapse;
				       border-spacing: 0;
				    width: 100%;
				border:none;
				font-family:calibri;
				}
				.main_table th, td {
				border: none;
				padding: 8px;
				font-size:11pt;
				    }
				span.accounttpe{
				font-size:13pt;
				}
				.grand_total_tr
				{
				font-weight:bold;
				font-size:14pt;
				}
				.sub_total_tr
				{
				font-weight:bold;
				font-size:10pt;
				}
				.data_tr
				{
				font-size:8pt;
				}
				.cellTitlePage
				{
				font-family:calibri;
				font-size:14pt;font-weight:bold;
				margin-bottom:20px;
				color:#752788;
				}
			</style>
			<body>
				<page size="A4">
					<div class="pageSize" align="center">
						<xsl:copy-of select="$ReportHeader"/>
					        </div>
					   <div class="pageSize" align="center">
						<div>
							       <xsl:for-each select="Item[generate-id() = generate-id(key('acc_account_type', acc_account_type)[1])]">
								<xsl:if test="contains(acc_account_type, 'Asset')">
									<table class="main_table">
										       <tr>
											<td align="left" class="header_tr">
												           <xsl:value-of select="acc_account_type"/>
											        </td>
											<td align="right" class="header_tr paging">
												   <xsl:value-of select="acc_currency_symbol"/>
											</td>
											<td align="right" class="header_tr paging">
												   <xsl:value-of select="acc_currency_symbol"/>
											</td>
										                                                                    </tr>
									</table>
									 <xsl:for-each select="key('acc_account_type', acc_account_type)[generate-id() = generate-id(key('acc_accountname', concat(acc_account_type, '|', acc_accountname))[1])]">
										<xsl:sort select="acc_accountname" order="ascending"/>
										<table class="main_table">
											<tr class="header_sub_tr noborders">
												<td align="left">
													                      <span class="accounttpe">
														<xsl:value-of select="acc_accountname"/>
													</span>
												        </td>
											</tr>
										</table>
										             <xsl:for-each select="key('acc_accountname', concat(acc_account_type, '|', acc_accountname))[generate-id() = generate-id(key('acc_account_console', concat(acc_accountname, '|', acc_account_console))[1])]">
											<xsl:sort select="acc_account_console" order="ascending"/>
											<table class="main_table">
												        <tr class="sub_header_tr noborders">
													<td colspan="2" class="tdpaddingleft">
														                <span>
															                  <xsl:value-of select="acc_account_console"/>
														                </span>
													</td>
													     <td class="paging" align="right">
														   <!-- substring-after get value after '-' -->
														<xsl:choose>
															 <xsl:when test="starts-with(string(acc_amount), '-')">
																<xsl:value-of select="concat('(', substring-after(string(format-number(sum(key('acc_account_console',  concat(acc_accountname, '|', acc_account_console))/acc_amount),'#,##0.00','euro')), '-'), ')')"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:value-of select="format-number(sum(key('acc_account_console', concat(acc_accountname, '|', acc_account_console))/acc_amount),'#,##0.00','euro')"/>
															</xsl:otherwise>
														 </xsl:choose>
													  </td>
												</tr>
											</table>
											                <xsl:for-each select="key('acc_account_console', concat(acc_accountname, '|', acc_account_console))">
												<xsl:sort select="acc_account_detail_name" order="ascending"/>
												<table class="main_table">
													              <tr class="noborders data_tr">
														<td class="tdpaddingleft">
															                      <span>
																                        <xsl:value-of select="acc_account_detail_name"/>
															                       </span>
														</td>
														<td class="paging" align="right">
															<!-- if it is last line item make underline -->
															<xsl:if test="position() = last()">
																<span style="text-decoration:underline">
																	<xsl:choose>
																		                     <xsl:when test="starts-with(string(acc_amount), '-')">
																			<xsl:value-of select="concat('(', substring-after(string(format-number(acc_amount,'#,##0.00','euro')), '-'), ')')"/>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of select="format-number(acc_amount,'#,##0.00','euro')"/>
																		</xsl:otherwise>
																	</xsl:choose>
																                      </span>
															</xsl:if>
															<xsl:if test="position() != last()">
																<span>
																	<xsl:choose>
																		                     <xsl:when test="starts-with(string(acc_amount), '-')">
																			<xsl:value-of select="concat('(', substring-after(string(format-number(acc_amount,'#,##0.00','euro')), '-'), ')')"/>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of select="format-number(acc_amount,'#,##0.00','euro')"/>
																		</xsl:otherwise>
																	</xsl:choose>
																                      </span>
															</xsl:if>
														    </td>
														<td class="paging"></td>
													</tr>
												</table>
												<xsl:if test="acc_paging_no=17">
													<div style="page-break-after: always;"></div>
													<div style="margin-top:50px;">
														<xsl:copy-of select="$ReportHeader"/>
														<!--<xsl:copy-of select="$DataHeader"/>
														-->
													</div>
												     </xsl:if>
											                </xsl:for-each>
										          </xsl:for-each>
									       </xsl:for-each>
									<table class="main_table">
										<tr>
											   <td colspan="2" align="left" class="grand_total_tr">
												Total  <span>
													 <xsl:value-of select="acc_account_type"/>
												 </span>
											</td>
											  <td align="right" class="grand_total_tr">
												<span style="text-decoration:underline overline;">
													<xsl:choose>
														      <xsl:when test="starts-with(string(acc_amount), '-')">
															<xsl:value-of select="concat('(', substring-after(string(format-number(sum(key('acc_account_type', acc_account_type)/acc_amount),'#,##0.00','euro')), '-'), ')')"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="format-number(sum(key('acc_account_type', acc_account_type)/acc_amount),'#,##0.00','euro')"/>
														</xsl:otherwise>
													</xsl:choose>
												</span>
											  </td>
										 </tr>
									</table>
								    </xsl:if>
							       </xsl:for-each>
							<xsl:for-each select="Item[generate-id() = generate-id(key('acc_account_type', acc_account_type)[1])]">
								<xsl:if test="contains(acc_account_type, 'Liabilities') or contains(acc_account_type, 'Equity')">
									<table class="main_table">
										       <tr align="left">
											<td colspan="3" class="header_tr">
												          <span>
													            <xsl:value-of select="acc_account_type"/>
												          </span>
											</td>
										</tr>
									</table>
									 <xsl:for-each select="key('acc_account_type', acc_account_type)[generate-id() = generate-id(key('acc_accountname', concat(acc_account_type, '|', acc_accountname))[1])]">
										<xsl:sort select="acc_accountname" order="ascending"/>
										<table class="main_table">
											<tr class="header_sub_tr noborders">
												<td align="left">
													                      <span class="accounttpe">
														<xsl:value-of select="acc_accountname"/>
													</span>
												        </td>
											</tr>
										</table>
										            <xsl:for-each select="key('acc_accountname', concat(acc_account_type, '|', acc_accountname))[generate-id() = generate-id(key('acc_account_console', concat(acc_accountname, '|', acc_account_console))[1])]">
											<xsl:sort select="acc_account_console" order="ascending"/>
											<table class="main_table">
												        <tr class="sub_header_tr noborders">
													<td colspan="2" class="tdpaddingleft">
														                <span>
															                  <xsl:value-of select="acc_account_console"/>
														                </span>
													</td>
													  <td align="right">
														   <!-- Show the total hours for all Employees in the Team -->
														<xsl:choose>
															      <xsl:when test="starts-with(string(acc_amount), '-')">
																<xsl:value-of select="concat('(', substring-after(string(format-number(sum(key('acc_account_console', concat(acc_accountname, '|', acc_account_console))/acc_amount),'#,##0.00','euro')), '-'), ')')"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:value-of select="format-number(sum(key('acc_account_console', concat(acc_accountname, '|', acc_account_console))/acc_amount),'#,##0.00','euro')"/>
															</xsl:otherwise>
														</xsl:choose>
													  </td>
												</tr>
											</table>
											                <xsl:for-each select="key('acc_account_console', concat(acc_accountname, '|', acc_account_console))">
												<xsl:sort select="acc_account_detail_name" order="ascending"/>
												<table class="main_table">
													              <tr class="noborders data_tr">
														<td class="tdpaddingleft">
															                      <span>
																                        <xsl:value-of select="acc_account_detail_name"/>
															                      </span>
														</td>
														<td class="paging" align="right">
															                      <xsl:if test="position() = last()">
																<span style="text-decoration:underline">
																	<xsl:choose>
																		 <xsl:when test="starts-with(string(acc_amount), '-')">
																			<xsl:value-of select="concat('(', substring-after(string(format-number(acc_amount,'#,##0.00','euro')), '-'), ')')"/>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of select="format-number(acc_amount,'#,##0.00','euro')"/>
																		</xsl:otherwise>
																	</xsl:choose>
																                                            </span>
															</xsl:if>
															<xsl:if test="position() != last()">
																<span>
																	             <xsl:choose>
																		 <xsl:when test="starts-with(string(acc_amount), '-')">
																			<xsl:value-of select="concat('(', substring-after(string(format-number(acc_amount,'#,##0.00','euro')), '-'), ')')"/>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of select="format-number(acc_amount,'#,##0.00','euro')"/>
																		</xsl:otherwise>
																	</xsl:choose>
																                      </span>
															</xsl:if>
														</td>
														<td class="paging"></td>
													</tr>
												</table>
												<xsl:if test="acc_paging_no=17">
													<div style="page-break-after: always;"></div>
													<div style="margin-top:50px;">
														<xsl:copy-of select="$ReportHeader"/>
														<!--<xsl:copy-of select="$DataHeader"/>
														-->
													</div>
												     </xsl:if>
											                </xsl:for-each>
										          </xsl:for-each>
										<!-- <tr class="grand_total_tr">
											   <td align="left" >
												Total  <span>
													 <xsl:value-of select="acc_account_type"/>
												 </span>
											</td>
											  <td align="right">
												<span style="text-decoration:underline overline;">
													<xsl:choose>
														 <xsl:when test="starts-with(string(acc_amount), '-')">
															<xsl:value-of select="concat('(', substring-after(string(format-number(sum(key('acc_account_type', acc_account_type)/acc_amount),'#,##0.00','euro')), '-'), ')')"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="format-number(sum(key('acc_account_type', acc_account_type)/acc_amount),'#,##0.00','euro')"/>
														</xsl:otherwise>
													</xsl:choose>
												</span>
											  </td>
										 </tr>
										 -->
									</xsl:for-each>
								    </xsl:if>
							       </xsl:for-each>
							<table class="main_table">
								                                         <tr>
									     <td colspan="2" align="left" class="grand_total_tr">
										  Total Liabilities and Capital
									</td>
									  <td align="right" class="grand_total_tr">
										<span style="text-decoration:underline overline;">
											<xsl:choose>
												 <xsl:when test="starts-with(string(acc_amount), '-')">
													<xsl:value-of select="concat('(', substring-after(string(format-number(//Item/acc_total_liabilities_equity,'#,##0.00','euro')), '-'), ')')"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="format-number(//Item/acc_total_liabilities_equity,'#,##0.00','euro')"/>
												</xsl:otherwise>
											</xsl:choose>
										</span>
									  </td>
								 </tr>
							</table>
						                                        </div>
					</div>
				</page>
			      </body>
		    </html>
	</xsl:template>
	<xsl:template name="format-date-expanded">
		<xsl:param name="datetime"/>
		<xsl:variable name="date" select="substring-before($datetime, 'T')"/>
		<!--<xsl:variable name="year" select="substring-before($date, '-')"/>
		-->
		<xsl:variable name="year" select="substring(substring-before($date, '-'),3,4)"/>
		<xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')"/>
		<xsl:variable name="day" select="substring-after(substring-after($date, '-'), '-')"/>
		<xsl:variable name="time" select="substring-before(substring-after($datetime, 'T'), '.')"/>
		<xsl:value-of select="concat($day, '-' ,$month, '-', $year, ' ', $time)"/>
	</xsl:template>
	<xsl:template name="format-date-expanded_header">
		<xsl:param name="datetime"/>
		<xsl:variable name="date" select="substring-before($datetime, 'T')"/>
		<xsl:variable name="year" select="substring-before($date, '-')"/>
		<xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')"/>
		<xsl:variable name="day" select="substring-after(substring-after($date, '-'), '-')"/>
		<xsl:variable name="time" select="substring-before(substring-after($datetime, 'T'), '.')"/>
		<xsl:choose>
			           <xsl:when test="$month = 01">
				<xsl:value-of select="concat($day, '- ' ,'JAN', '-', $year, ' ', $time)"/>
			</xsl:when>
			           <xsl:when test="$month = 02">
				<xsl:value-of select="concat($day, '- ' ,'FEB', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 03">
				<xsl:value-of select="concat($day, ' -' ,'MAR', ',-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 04">
				<xsl:value-of select="concat($day, '- ' ,'APR', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 05">
				<xsl:value-of select="concat($day, '-' ,'May', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 06">
				<xsl:value-of select="concat($day, '-' ,'JUN', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 07">
				<xsl:value-of select="concat($day, '-' ,'JULY', '-' , $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 08">
				<xsl:value-of select="concat($day, '-' ,'AUG', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 09">
				<xsl:value-of select="concat($day, '-' ,'SEP', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 10">
				<xsl:value-of select="concat($day, '-' ,'OCT', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 11">
				<xsl:value-of select="concat($day, '-' ,'NOV', '-', $year, ' ', $time)"/>
			</xsl:when>
			            <xsl:when test="$month = 12">
				<xsl:value-of select="concat($day, '-' ,'DEC', '-', $year, ' ', $time)"/>
			</xsl:when>
		  </xsl:choose>
	</xsl:template>
	<!-- variable ReportHeader-->
	<xsl:variable name="ReportHeader">
		 <table class="main_table">
			  <tr>
				<div class="headertitle">
					<div>
						<span class="report_titlestatement">
							<xsl:value-of select="//Item/acc_company/Item/erp_com_name"/>
						</span>
					</div>
					<div>
						<span class="report_statement">
							BALANCE SHEET AS AT <xsl:call-template name="format-date-expanded_header">
								<xsl:with-param name="datetime" select="//Item/acc_to_date"/>
							 </xsl:call-template>
						</span>
					</div>
					<div>
						<span class="report_statement">
							( <xsl:value-of select="//Item/acc_currency_symbol"/>
							 )
						</span>
					</div>
				</div>
			</tr>
		         </table>
	</xsl:variable>
</xsl:stylesheet>]]></xsl_stylesheet>
  <name>acc_BalanceSheet_Report</name>
 </Item>
</AML>